package com.tmerclub.cloud.api.product.dto;

/**
 * @author gaozijie
 * @date 2023-09-22
 */
public class SupplierSpuUpdateDTO {

    /**
     * 更新价格
     */
    private boolean priceUpdate;

    /**
     * 更新sku数量
     */
    private boolean skuUpdate;

    /**
     * 更新重量
     */
    private boolean weightUpdate;

    /**
     * 更新体积
     */
    private boolean sizeUpdate;

    public SupplierSpuUpdateDTO() {
    }

    public boolean isPriceUpdate() {
        return priceUpdate;
    }

    public void setPriceUpdate(boolean priceUpdate) {
        this.priceUpdate = priceUpdate;
    }

    public boolean isSkuUpdate() {
        return skuUpdate;
    }

    public void setSkuUpdate(boolean skuUpdate) {
        this.skuUpdate = skuUpdate;
    }

    public boolean isWeightUpdate() {
        return weightUpdate;
    }

    public void setWeightUpdate(boolean weightUpdate) {
        this.weightUpdate = weightUpdate;
    }

    public boolean isSizeUpdate() {
        return sizeUpdate;
    }

    public void setSizeUpdate(boolean sizeUpdate) {
        this.sizeUpdate = sizeUpdate;
    }

    @Override
    public String toString() {
        return "SupplierSpuUpdateDTO{" +
                "priceUpdate=" + priceUpdate +
                ", skuUpdate=" + skuUpdate +
                ", weightUpdate=" + weightUpdate +
                ", sizeUpdate=" + sizeUpdate +
                '}';
    }
}